This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 807428 - Gluster volume status command produces truncated result when a node is down
Gluster volume status command produces truncated result when a node is down
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.3-beta
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Kaushal
Anush Shetty
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-27 14:40 EDT by Gareth Bult
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:46:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gareth Bult 2012-03-27 14:40:11 EDT
gluster volume stats

- works OK if all nodes are up, but breaks it one or more nodes are not available. Typically the list of bricks stops as soon as it comes to a brick on a downed node.

Version-Release number of selected component (if applicable):
3.3 qa31

To reproduce:

visit random node
"service glusterd stop"
visit random client
"gluster volume status"
- result should be truncated when it reached downed node.

Have tried on 2 stripe replica and 4 stripe replica.  

Conditions;

The faulty node must contain an active volume.
The output of "gluster volume status" will be different depending on which node you take out.
Comment 1 Kaushal 2012-03-30 01:00:29 EDT
Fixed in change http://review.gluster.com/3016 for bug https://bugzilla.redhat.com/show_bug.cgi?id=803676
Comment 2 Anush Shetty 2012-05-31 05:27:09 EDT
Verified with 3.3.0qa45

Note You need to log in before you can comment on or make changes to this bug.